/*******************************************************************************
 * Copyright (c) 2006-2012
 * Software Technology Group, Dresden University of Technology
 * DevBoost GmbH, Berlin, Amtsgericht Charlottenburg, HRB 140026
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Software Technology Group - TU Dresden, Germany;
 *   DevBoost GmbH - Berlin, Germany
 *      - initial API and implementation
 ******************************************************************************/

package org.emftext.language.templateconcepts.call.resource.templatecall.util;

/**
 * Class TemplatecallTextResourceUtil can be used to perform common tasks on text
 * resources, such as loading and saving resources, as well as, checking them for
 * errors. This class is deprecated and has been replaced by
 * org.emftext.language.templateconcepts.call.resource.templatecall.util.Templateca
 * llResourceUtil.
 */
public class TemplatecallTextResourceUtil {
	
	/**
	 * Use
	 * org.emftext.language.templateconcepts.call.resource.templatecall.util.Templateca
	 * llResourceUtil.getResource() instead.
	 */
	@Deprecated	
	public static org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallResource getResource(org.eclipse.core.resources.IFile file) {
		return new org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallEclipseProxy().getResource(file);
	}
	
	/**
	 * Use
	 * org.emftext.language.templateconcepts.call.resource.templatecall.util.Templateca
	 * llResourceUtil.getResource() instead.
	 */
	@Deprecated	
	public static org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallResource getResource(java.io.File file, java.util.Map<?,?> options) {
		return org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallResourceUtil.getResource(file, options);
	}
	
	/**
	 * Use
	 * org.emftext.language.templateconcepts.call.resource.templatecall.util.Templateca
	 * llResourceUtil.getResource() instead.
	 */
	@Deprecated	
	public static org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallResource getResource(org.eclipse.emf.common.util.URI uri) {
		return org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallResourceUtil.getResource(uri);
	}
	
	/**
	 * Use
	 * org.emftext.language.templateconcepts.call.resource.templatecall.util.Templateca
	 * llResourceUtil.getResource() instead.
	 */
	@Deprecated	
	public static org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallResource getResource(org.eclipse.emf.common.util.URI uri, java.util.Map<?,?> options) {
		return org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallResourceUtil.getResource(uri, options);
	}
	
}
