/*******************************************************************************
 * Copyright (c) 2006-2012
 * Software Technology Group, Dresden University of Technology
 * DevBoost GmbH, Berlin, Amtsgericht Charlottenburg, HRB 140026
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Software Technology Group - TU Dresden, Germany;
 *   DevBoost GmbH - Berlin, Germany
 *      - initial API and implementation
 ******************************************************************************/

package org.emftext.language.templateconcepts.call.resource.templatecall.grammar;

public class TemplatecallCompound extends org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallSyntaxElement {
	
	public TemplatecallCompound(org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallChoice choice, org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallCardinality cardinality) {
		super(cardinality, new org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallSyntaxElement[] {choice});
	}
	
	public String toString() {
		return "(" + getChildren()[0] + ")";
	}
	
}
