// $ANTLR 3.4

	package org.emftext.language.templateconcepts.call.resource.templatecall.mopp;


import org.antlr.runtime3_4_0.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;

@SuppressWarnings({"all", "warnings", "unchecked"})
public class TemplatecallParser extends TemplatecallANTLRParserBase {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "LINEBREAKS", "QUOTED_34_34", "WHITESPACE", "'CALL'", "'USING'"
    };

    public static final int EOF=-1;
    public static final int T__7=7;
    public static final int T__8=8;
    public static final int LINEBREAKS=4;
    public static final int QUOTED_34_34=5;
    public static final int WHITESPACE=6;

    // delegates
    public TemplatecallANTLRParserBase[] getDelegates() {
        return new TemplatecallANTLRParserBase[] {};
    }

    // delegators


    public TemplatecallParser(TokenStream input) {
        this(input, new RecognizerSharedState());
    }
    public TemplatecallParser(TokenStream input, RecognizerSharedState state) {
        super(input, state);
        this.state.initializeRuleMemo(2 + 1);
         

    }

    public String[] getTokenNames() { return TemplatecallParser.tokenNames; }
    public String getGrammarFileName() { return "Templatecall.g"; }


    	private org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTokenResolverFactory tokenResolverFactory = new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallTokenResolverFactory();
    	
    	/**
    	 * the index of the last token that was handled by collectHiddenTokens()
    	 */
    	private int lastPosition;
    	
    	/**
    	 * A flag that indicates whether the parser should remember all expected elements.
    	 * This flag is set to true when using the parse for code completion. Otherwise it
    	 * is set to false.
    	 */
    	private boolean rememberExpectedElements = false;
    	
    	private Object parseToIndexTypeObject;
    	private int lastTokenIndex = 0;
    	
    	/**
    	 * A list of expected elements the were collected while parsing the input stream.
    	 * This list is only filled if <code>rememberExpectedElements</code> is set to
    	 * true.
    	 */
    	private java.util.List<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal> expectedElements = new java.util.ArrayList<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal>();
    	
    	private int mismatchedTokenRecoveryTries = 0;
    	/**
    	 * A helper list to allow a lexer to pass errors to its parser
    	 */
    	protected java.util.List<org.antlr.runtime3_4_0.RecognitionException> lexerExceptions = java.util.Collections.synchronizedList(new java.util.ArrayList<org.antlr.runtime3_4_0.RecognitionException>());
    	
    	/**
    	 * Another helper list to allow a lexer to pass positions of errors to its parser
    	 */
    	protected java.util.List<Integer> lexerExceptionsPosition = java.util.Collections.synchronizedList(new java.util.ArrayList<Integer>());
    	
    	/**
    	 * A stack for incomplete objects. This stack is used filled when the parser is
    	 * used for code completion. Whenever the parser starts to read an object it is
    	 * pushed on the stack. Once the element was parser completely it is popped from
    	 * the stack.
    	 */
    	java.util.List<org.eclipse.emf.ecore.EObject> incompleteObjects = new java.util.ArrayList<org.eclipse.emf.ecore.EObject>();
    	
    	private int stopIncludingHiddenTokens;
    	private int stopExcludingHiddenTokens;
    	private int tokenIndexOfLastCompleteElement;
    	
    	private int expectedElementsIndexOfLastCompleteElement;
    	
    	/**
    	 * The offset indicating the cursor position when the parser is used for code
    	 * completion by calling parseToExpectedElements().
    	 */
    	private int cursorOffset;
    	
    	/**
    	 * The offset of the first hidden token of the last expected element. This offset
    	 * is used to discard expected elements, which are not needed for code completion.
    	 */
    	private int lastStartIncludingHidden;
    	
    	protected void addErrorToResource(final String errorMessage, final int column, final int line, final int startIndex, final int stopIndex) {
    		postParseCommands.add(new org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>() {
    			public boolean execute(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource resource) {
    				if (resource == null) {
    					// the resource can be null if the parser is used for code completion
    					return true;
    				}
    				resource.addProblem(new org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallProblem() {
    					public org.emftext.language.templateconcepts.call.resource.templatecall.TemplatecallEProblemSeverity getSeverity() {
    						return org.emftext.language.templateconcepts.call.resource.templatecall.TemplatecallEProblemSeverity.ERROR;
    					}
    					public org.emftext.language.templateconcepts.call.resource.templatecall.TemplatecallEProblemType getType() {
    						return org.emftext.language.templateconcepts.call.resource.templatecall.TemplatecallEProblemType.SYNTAX_ERROR;
    					}
    					public String getMessage() {
    						return errorMessage;
    					}
    					public java.util.Collection<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallQuickFix> getQuickFixes() {
    						return null;
    					}
    				}, column, line, startIndex, stopIndex);
    				return true;
    			}
    		});
    	}
    	
    	public void addExpectedElement(org.eclipse.emf.ecore.EClass eClass, int[] ids) {
    		if (!this.rememberExpectedElements) {
    			return;
    		}
    		int terminalID = ids[0];
    		int followSetID = ids[1];
    		org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallExpectedElement terminal = org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallFollowSetProvider.TERMINALS[terminalID];
    		org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContainedFeature[] containmentFeatures = new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContainedFeature[ids.length - 2];
    		for (int i = 2; i < ids.length; i++) {
    			containmentFeatures[i - 2] = org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallFollowSetProvider.LINKS[ids[i]];
    		}
    		org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallContainmentTrace containmentTrace = new org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallContainmentTrace(eClass, containmentFeatures);
    		org.eclipse.emf.ecore.EObject container = getLastIncompleteElement();
    		org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal expectedElement = new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal(container, terminal, followSetID, containmentTrace);
    		setPosition(expectedElement, input.index());
    		int startIncludingHiddenTokens = expectedElement.getStartIncludingHiddenTokens();
    		if (lastStartIncludingHidden >= 0 && lastStartIncludingHidden < startIncludingHiddenTokens && cursorOffset > startIncludingHiddenTokens) {
    			// clear list of expected elements
    			this.expectedElements.clear();
    			this.expectedElementsIndexOfLastCompleteElement = 0;
    		}
    		lastStartIncludingHidden = startIncludingHiddenTokens;
    		this.expectedElements.add(expectedElement);
    	}
    	
    	protected void collectHiddenTokens(org.eclipse.emf.ecore.EObject element) {
    	}
    	
    	protected void copyLocalizationInfos(final org.eclipse.emf.ecore.EObject source, final org.eclipse.emf.ecore.EObject target) {
    		if (disableLocationMap) {
    			return;
    		}
    		postParseCommands.add(new org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>() {
    			public boolean execute(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource resource) {
    				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallLocationMap locationMap = resource.getLocationMap();
    				if (locationMap == null) {
    					// the locationMap can be null if the parser is used for code completion
    					return true;
    				}
    				locationMap.setCharStart(target, locationMap.getCharStart(source));
    				locationMap.setCharEnd(target, locationMap.getCharEnd(source));
    				locationMap.setColumn(target, locationMap.getColumn(source));
    				locationMap.setLine(target, locationMap.getLine(source));
    				return true;
    			}
    		});
    	}
    	
    	protected void copyLocalizationInfos(final org.antlr.runtime3_4_0.CommonToken source, final org.eclipse.emf.ecore.EObject target) {
    		if (disableLocationMap) {
    			return;
    		}
    		postParseCommands.add(new org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>() {
    			public boolean execute(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource resource) {
    				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallLocationMap locationMap = resource.getLocationMap();
    				if (locationMap == null) {
    					// the locationMap can be null if the parser is used for code completion
    					return true;
    				}
    				if (source == null) {
    					return true;
    				}
    				locationMap.setCharStart(target, source.getStartIndex());
    				locationMap.setCharEnd(target, source.getStopIndex());
    				locationMap.setColumn(target, source.getCharPositionInLine());
    				locationMap.setLine(target, source.getLine());
    				return true;
    			}
    		});
    	}
    	
    	/**
    	 * Sets the end character index and the last line for the given object in the
    	 * location map.
    	 */
    	protected void setLocalizationEnd(java.util.Collection<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>> postParseCommands , final org.eclipse.emf.ecore.EObject object, final int endChar, final int endLine) {
    		if (disableLocationMap) {
    			return;
    		}
    		postParseCommands.add(new org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>() {
    			public boolean execute(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource resource) {
    				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallLocationMap locationMap = resource.getLocationMap();
    				if (locationMap == null) {
    					// the locationMap can be null if the parser is used for code completion
    					return true;
    				}
    				locationMap.setCharEnd(object, endChar);
    				locationMap.setLine(object, endLine);
    				return true;
    			}
    		});
    	}
    	
    	public org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextParser createInstance(java.io.InputStream actualInputStream, String encoding) {
    		try {
    			if (encoding == null) {
    				return new TemplatecallParser(new org.antlr.runtime3_4_0.CommonTokenStream(new TemplatecallLexer(new org.antlr.runtime3_4_0.ANTLRInputStream(actualInputStream))));
    			} else {
    				return new TemplatecallParser(new org.antlr.runtime3_4_0.CommonTokenStream(new TemplatecallLexer(new org.antlr.runtime3_4_0.ANTLRInputStream(actualInputStream, encoding))));
    			}
    		} catch (java.io.IOException e) {
    			new org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallRuntimeUtil().logError("Error while creating parser.", e);
    			return null;
    		}
    	}
    	
    	/**
    	 * This default constructor is only used to call createInstance() on it.
    	 */
    	public TemplatecallParser() {
    		super(null);
    	}
    	
    	protected org.eclipse.emf.ecore.EObject doParse() throws org.antlr.runtime3_4_0.RecognitionException {
    		this.lastPosition = 0;
    		// required because the lexer class can not be subclassed
    		((TemplatecallLexer) getTokenStream().getTokenSource()).lexerExceptions = lexerExceptions;
    		((TemplatecallLexer) getTokenStream().getTokenSource()).lexerExceptionsPosition = lexerExceptionsPosition;
    		Object typeObject = getTypeObject();
    		if (typeObject == null) {
    			return start();
    		} else if (typeObject instanceof org.eclipse.emf.ecore.EClass) {
    			org.eclipse.emf.ecore.EClass type = (org.eclipse.emf.ecore.EClass) typeObject;
    			if (type.getInstanceClass() == org.emftext.language.templateconcepts.call.TemplateCall.class) {
    				return parse_org_emftext_language_templateconcepts_call_TemplateCall();
    			}
    		}
    		throw new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallUnexpectedContentTypeException(typeObject);
    	}
    	
    	public int getMismatchedTokenRecoveryTries() {
    		return mismatchedTokenRecoveryTries;
    	}
    	
    	public Object getMissingSymbol(org.antlr.runtime3_4_0.IntStream arg0, org.antlr.runtime3_4_0.RecognitionException arg1, int arg2, org.antlr.runtime3_4_0.BitSet arg3) {
    		mismatchedTokenRecoveryTries++;
    		return super.getMissingSymbol(arg0, arg1, arg2, arg3);
    	}
    	
    	public Object getParseToIndexTypeObject() {
    		return parseToIndexTypeObject;
    	}
    	
    	protected Object getTypeObject() {
    		Object typeObject = getParseToIndexTypeObject();
    		if (typeObject != null) {
    			return typeObject;
    		}
    		java.util.Map<?,?> options = getOptions();
    		if (options != null) {
    			typeObject = options.get(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallOptions.RESOURCE_CONTENT_TYPE);
    		}
    		return typeObject;
    	}
    	
    	/**
    	 * Implementation that calls {@link #doParse()} and handles the thrown
    	 * RecognitionExceptions.
    	 */
    	public org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallParseResult parse() {
    		terminateParsing = false;
    		postParseCommands = new java.util.ArrayList<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource>>();
    		org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallParseResult parseResult = new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallParseResult();
    		try {
    			org.eclipse.emf.ecore.EObject result =  doParse();
    			if (lexerExceptions.isEmpty()) {
    				parseResult.setRoot(result);
    			}
    		} catch (org.antlr.runtime3_4_0.RecognitionException re) {
    			reportError(re);
    		} catch (java.lang.IllegalArgumentException iae) {
    			if ("The 'no null' constraint is violated".equals(iae.getMessage())) {
    				// can be caused if a null is set on EMF models where not allowed. this will just
    				// happen if other errors occurred before
    			} else {
    				iae.printStackTrace();
    			}
    		}
    		for (org.antlr.runtime3_4_0.RecognitionException re : lexerExceptions) {
    			reportLexicalError(re);
    		}
    		parseResult.getPostParseCommands().addAll(postParseCommands);
    		return parseResult;
    	}
    	
    	public java.util.List<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal> parseToExpectedElements(org.eclipse.emf.ecore.EClass type, org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource dummyResource, int cursorOffset) {
    		this.rememberExpectedElements = true;
    		this.parseToIndexTypeObject = type;
    		this.cursorOffset = cursorOffset;
    		this.lastStartIncludingHidden = -1;
    		final org.antlr.runtime3_4_0.CommonTokenStream tokenStream = (org.antlr.runtime3_4_0.CommonTokenStream) getTokenStream();
    		org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallParseResult result = parse();
    		for (org.eclipse.emf.ecore.EObject incompleteObject : incompleteObjects) {
    			org.antlr.runtime3_4_0.Lexer lexer = (org.antlr.runtime3_4_0.Lexer) tokenStream.getTokenSource();
    			int endChar = lexer.getCharIndex();
    			int endLine = lexer.getLine();
    			setLocalizationEnd(result.getPostParseCommands(), incompleteObject, endChar, endLine);
    		}
    		if (result != null) {
    			org.eclipse.emf.ecore.EObject root = result.getRoot();
    			if (root != null) {
    				dummyResource.getContentsInternal().add(root);
    			}
    			for (org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallCommand<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource> command : result.getPostParseCommands()) {
    				command.execute(dummyResource);
    			}
    		}
    		// remove all expected elements that were added after the last complete element
    		expectedElements = expectedElements.subList(0, expectedElementsIndexOfLastCompleteElement + 1);
    		int lastFollowSetID = expectedElements.get(expectedElementsIndexOfLastCompleteElement).getFollowSetID();
    		java.util.Set<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal> currentFollowSet = new java.util.LinkedHashSet<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal>();
    		java.util.List<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal> newFollowSet = new java.util.ArrayList<org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal>();
    		for (int i = expectedElementsIndexOfLastCompleteElement; i >= 0; i--) {
    			org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal expectedElementI = expectedElements.get(i);
    			if (expectedElementI.getFollowSetID() == lastFollowSetID) {
    				currentFollowSet.add(expectedElementI);
    			} else {
    				break;
    			}
    		}
    		int followSetID = 5;
    		int i;
    		for (i = tokenIndexOfLastCompleteElement; i < tokenStream.size(); i++) {
    			org.antlr.runtime3_4_0.CommonToken nextToken = (org.antlr.runtime3_4_0.CommonToken) tokenStream.get(i);
    			if (nextToken.getType() < 0) {
    				break;
    			}
    			if (nextToken.getChannel() == 99) {
    				// hidden tokens do not reduce the follow set
    			} else {
    				// now that we have found the next visible token the position for that expected
    				// terminals can be set
    				for (org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal nextFollow : newFollowSet) {
    					lastTokenIndex = 0;
    					setPosition(nextFollow, i);
    				}
    				newFollowSet.clear();
    				// normal tokens do reduce the follow set - only elements that match the token are
    				// kept
    				for (org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal nextFollow : currentFollowSet) {
    					if (nextFollow.getTerminal().getTokenNames().contains(getTokenNames()[nextToken.getType()])) {
    						// keep this one - it matches
    						java.util.Collection<org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallPair<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallExpectedElement, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContainedFeature[]>> newFollowers = nextFollow.getTerminal().getFollowers();
    						for (org.emftext.language.templateconcepts.call.resource.templatecall.util.TemplatecallPair<org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallExpectedElement, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContainedFeature[]> newFollowerPair : newFollowers) {
    							org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallExpectedElement newFollower = newFollowerPair.getLeft();
    							org.eclipse.emf.ecore.EObject container = getLastIncompleteElement();
    							org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallContainmentTrace containmentTrace = new org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallContainmentTrace(null, newFollowerPair.getRight());
    							org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal newFollowTerminal = new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal(container, newFollower, followSetID, containmentTrace);
    							newFollowSet.add(newFollowTerminal);
    							expectedElements.add(newFollowTerminal);
    						}
    					}
    				}
    				currentFollowSet.clear();
    				currentFollowSet.addAll(newFollowSet);
    			}
    			followSetID++;
    		}
    		// after the last token in the stream we must set the position for the elements
    		// that were added during the last iteration of the loop
    		for (org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal nextFollow : newFollowSet) {
    			lastTokenIndex = 0;
    			setPosition(nextFollow, i);
    		}
    		return this.expectedElements;
    	}
    	
    	public void setPosition(org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectedTerminal expectedElement, int tokenIndex) {
    		int currentIndex = Math.max(0, tokenIndex);
    		for (int index = lastTokenIndex; index < currentIndex; index++) {
    			if (index >= input.size()) {
    				break;
    			}
    			org.antlr.runtime3_4_0.CommonToken tokenAtIndex = (org.antlr.runtime3_4_0.CommonToken) input.get(index);
    			stopIncludingHiddenTokens = tokenAtIndex.getStopIndex() + 1;
    			if (tokenAtIndex.getChannel() != 99 && !anonymousTokens.contains(tokenAtIndex)) {
    				stopExcludingHiddenTokens = tokenAtIndex.getStopIndex() + 1;
    			}
    		}
    		lastTokenIndex = Math.max(0, currentIndex);
    		expectedElement.setPosition(stopExcludingHiddenTokens, stopIncludingHiddenTokens);
    	}
    	
    	public Object recoverFromMismatchedToken(org.antlr.runtime3_4_0.IntStream input, int ttype, org.antlr.runtime3_4_0.BitSet follow) throws org.antlr.runtime3_4_0.RecognitionException {
    		if (!rememberExpectedElements) {
    			return super.recoverFromMismatchedToken(input, ttype, follow);
    		} else {
    			return null;
    		}
    	}
    	
    	/**
    	 * Translates errors thrown by the parser into human readable messages.
    	 */
    	public void reportError(final org.antlr.runtime3_4_0.RecognitionException e)  {
    		String message = e.getMessage();
    		if (e instanceof org.antlr.runtime3_4_0.MismatchedTokenException) {
    			org.antlr.runtime3_4_0.MismatchedTokenException mte = (org.antlr.runtime3_4_0.MismatchedTokenException) e;
    			String expectedTokenName = formatTokenName(mte.expecting);
    			String actualTokenName = formatTokenName(e.token.getType());
    			message = "Syntax error on token \"" + e.token.getText() + " (" + actualTokenName + ")\", \"" + expectedTokenName + "\" expected";
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedTreeNodeException) {
    			org.antlr.runtime3_4_0.MismatchedTreeNodeException mtne = (org.antlr.runtime3_4_0.MismatchedTreeNodeException) e;
    			String expectedTokenName = formatTokenName(mtne.expecting);
    			message = "mismatched tree node: " + "xxx" + "; tokenName " + expectedTokenName;
    		} else if (e instanceof org.antlr.runtime3_4_0.NoViableAltException) {
    			message = "Syntax error on token \"" + e.token.getText() + "\", check following tokens";
    		} else if (e instanceof org.antlr.runtime3_4_0.EarlyExitException) {
    			message = "Syntax error on token \"" + e.token.getText() + "\", delete this token";
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedSetException) {
    			org.antlr.runtime3_4_0.MismatchedSetException mse = (org.antlr.runtime3_4_0.MismatchedSetException) e;
    			message = "mismatched token: " + e.token + "; expecting set " + mse.expecting;
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedNotSetException) {
    			org.antlr.runtime3_4_0.MismatchedNotSetException mse = (org.antlr.runtime3_4_0.MismatchedNotSetException) e;
    			message = "mismatched token: " +  e.token + "; expecting set " + mse.expecting;
    		} else if (e instanceof org.antlr.runtime3_4_0.FailedPredicateException) {
    			org.antlr.runtime3_4_0.FailedPredicateException fpe = (org.antlr.runtime3_4_0.FailedPredicateException) e;
    			message = "rule " + fpe.ruleName + " failed predicate: {" +  fpe.predicateText + "}?";
    		}
    		// the resource may be null if the parser is used for code completion
    		final String finalMessage = message;
    		if (e.token instanceof org.antlr.runtime3_4_0.CommonToken) {
    			final org.antlr.runtime3_4_0.CommonToken ct = (org.antlr.runtime3_4_0.CommonToken) e.token;
    			addErrorToResource(finalMessage, ct.getCharPositionInLine(), ct.getLine(), ct.getStartIndex(), ct.getStopIndex());
    		} else {
    			addErrorToResource(finalMessage, e.token.getCharPositionInLine(), e.token.getLine(), 1, 5);
    		}
    	}
    	
    	/**
    	 * Translates errors thrown by the lexer into human readable messages.
    	 */
    	public void reportLexicalError(final org.antlr.runtime3_4_0.RecognitionException e)  {
    		String message = "";
    		if (e instanceof org.antlr.runtime3_4_0.MismatchedTokenException) {
    			org.antlr.runtime3_4_0.MismatchedTokenException mte = (org.antlr.runtime3_4_0.MismatchedTokenException) e;
    			message = "Syntax error on token \"" + ((char) e.c) + "\", \"" + (char) mte.expecting + "\" expected";
    		} else if (e instanceof org.antlr.runtime3_4_0.NoViableAltException) {
    			message = "Syntax error on token \"" + ((char) e.c) + "\", delete this token";
    		} else if (e instanceof org.antlr.runtime3_4_0.EarlyExitException) {
    			org.antlr.runtime3_4_0.EarlyExitException eee = (org.antlr.runtime3_4_0.EarlyExitException) e;
    			message = "required (...)+ loop (decision=" + eee.decisionNumber + ") did not match anything; on line " + e.line + ":" + e.charPositionInLine + " char=" + ((char) e.c) + "'";
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedSetException) {
    			org.antlr.runtime3_4_0.MismatchedSetException mse = (org.antlr.runtime3_4_0.MismatchedSetException) e;
    			message = "mismatched char: '" + ((char) e.c) + "' on line " + e.line + ":" + e.charPositionInLine + "; expecting set " + mse.expecting;
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedNotSetException) {
    			org.antlr.runtime3_4_0.MismatchedNotSetException mse = (org.antlr.runtime3_4_0.MismatchedNotSetException) e;
    			message = "mismatched char: '" + ((char) e.c) + "' on line " + e.line + ":" + e.charPositionInLine + "; expecting set " + mse.expecting;
    		} else if (e instanceof org.antlr.runtime3_4_0.MismatchedRangeException) {
    			org.antlr.runtime3_4_0.MismatchedRangeException mre = (org.antlr.runtime3_4_0.MismatchedRangeException) e;
    			message = "mismatched char: '" + ((char) e.c) + "' on line " + e.line + ":" + e.charPositionInLine + "; expecting set '" + (char) mre.a + "'..'" + (char) mre.b + "'";
    		} else if (e instanceof org.antlr.runtime3_4_0.FailedPredicateException) {
    			org.antlr.runtime3_4_0.FailedPredicateException fpe = (org.antlr.runtime3_4_0.FailedPredicateException) e;
    			message = "rule " + fpe.ruleName + " failed predicate: {" + fpe.predicateText + "}?";
    		}
    		addErrorToResource(message, e.charPositionInLine, e.line, lexerExceptionsPosition.get(lexerExceptions.indexOf(e)), lexerExceptionsPosition.get(lexerExceptions.indexOf(e)));
    	}
    	
    	private void startIncompleteElement(Object object) {
    		if (object instanceof org.eclipse.emf.ecore.EObject) {
    			this.incompleteObjects.add((org.eclipse.emf.ecore.EObject) object);
    		}
    	}
    	
    	private void completedElement(Object object, boolean isContainment) {
    		if (isContainment && !this.incompleteObjects.isEmpty()) {
    			boolean exists = this.incompleteObjects.remove(object);
    			if (!exists) {
    			}
    		}
    		if (object instanceof org.eclipse.emf.ecore.EObject) {
    			this.tokenIndexOfLastCompleteElement = getTokenStream().index();
    			this.expectedElementsIndexOfLastCompleteElement = expectedElements.size() - 1;
    		}
    	}
    	
    	private org.eclipse.emf.ecore.EObject getLastIncompleteElement() {
    		if (incompleteObjects.isEmpty()) {
    			return null;
    		}
    		return incompleteObjects.get(incompleteObjects.size() - 1);
    	}
    	



    // $ANTLR start "start"
    // Templatecall.g:499:1: start returns [ org.eclipse.emf.ecore.EObject element = null] : (c0= parse_org_emftext_language_templateconcepts_call_TemplateCall ) EOF ;
    public final org.eclipse.emf.ecore.EObject start() throws RecognitionException {
        org.eclipse.emf.ecore.EObject element =  null;

        int start_StartIndex = input.index();

        org.emftext.language.templateconcepts.call.TemplateCall c0 =null;


        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 1) ) { return element; }

            // Templatecall.g:500:2: ( (c0= parse_org_emftext_language_templateconcepts_call_TemplateCall ) EOF )
            // Templatecall.g:501:2: (c0= parse_org_emftext_language_templateconcepts_call_TemplateCall ) EOF
            {
            if ( state.backtracking==0 ) {
            		// follow set for start rule(s)
            		addExpectedElement(null, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectationConstants.EXPECTATIONS[0]);
            		expectedElementsIndexOfLastCompleteElement = 0;
            	}

            // Templatecall.g:506:2: (c0= parse_org_emftext_language_templateconcepts_call_TemplateCall )
            // Templatecall.g:507:3: c0= parse_org_emftext_language_templateconcepts_call_TemplateCall
            {
            pushFollow(FOLLOW_parse_org_emftext_language_templateconcepts_call_TemplateCall_in_start82);
            c0=parse_org_emftext_language_templateconcepts_call_TemplateCall();

            state._fsp--;
            if (state.failed) return element;

            if ( state.backtracking==0 ) { element = c0; }

            }


            match(input,EOF,FOLLOW_EOF_in_start89); if (state.failed) return element;

            if ( state.backtracking==0 ) {
            		retrieveLayoutInformation(element, null, null, false);
            	}

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }

        finally {
        	// do for sure before leaving
            if ( state.backtracking>0 ) { memoize(input, 1, start_StartIndex); }

        }
        return element;
    }
    // $ANTLR end "start"



    // $ANTLR start "parse_org_emftext_language_templateconcepts_call_TemplateCall"
    // Templatecall.g:515:1: parse_org_emftext_language_templateconcepts_call_TemplateCall returns [org.emftext.language.templateconcepts.call.TemplateCall element = null] : a0= 'CALL' (a1= QUOTED_34_34 ) a2= 'USING' (a3= QUOTED_34_34 ) ;
    public final org.emftext.language.templateconcepts.call.TemplateCall parse_org_emftext_language_templateconcepts_call_TemplateCall() throws RecognitionException {
        org.emftext.language.templateconcepts.call.TemplateCall element =  null;

        int parse_org_emftext_language_templateconcepts_call_TemplateCall_StartIndex = input.index();

        Token a0=null;
        Token a1=null;
        Token a2=null;
        Token a3=null;



        try {
            if ( state.backtracking>0 && alreadyParsedRule(input, 2) ) { return element; }

            // Templatecall.g:518:2: (a0= 'CALL' (a1= QUOTED_34_34 ) a2= 'USING' (a3= QUOTED_34_34 ) )
            // Templatecall.g:519:2: a0= 'CALL' (a1= QUOTED_34_34 ) a2= 'USING' (a3= QUOTED_34_34 )
            {
            a0=(Token)match(input,7,FOLLOW_7_in_parse_org_emftext_language_templateconcepts_call_TemplateCall115); if (state.failed) return element;

            if ( state.backtracking==0 ) {
            		if (element == null) {
            			element = org.emftext.language.templateconcepts.call.CallFactory.eINSTANCE.createTemplateCall();
            			startIncompleteElement(element);
            		}
            		collectHiddenTokens(element);
            		retrieveLayoutInformation(element, org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallGrammarInformationProvider.TEMPLATECALL_0_0_0_0, null, true);
            		copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken)a0, element);
            	}

            if ( state.backtracking==0 ) {
            		// expected elements (follow set)
            		addExpectedElement(null, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectationConstants.EXPECTATIONS[1]);
            	}

            // Templatecall.g:533:2: (a1= QUOTED_34_34 )
            // Templatecall.g:534:3: a1= QUOTED_34_34
            {
            a1=(Token)match(input,QUOTED_34_34,FOLLOW_QUOTED_34_34_in_parse_org_emftext_language_templateconcepts_call_TemplateCall133); if (state.failed) return element;

            if ( state.backtracking==0 ) {
            			if (terminateParsing) {
            				throw new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallTerminateParsingException();
            			}
            			if (element == null) {
            				element = org.emftext.language.templateconcepts.call.CallFactory.eINSTANCE.createTemplateCall();
            				startIncompleteElement(element);
            			}
            			if (a1 != null) {
            				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTokenResolver tokenResolver = tokenResolverFactory.createTokenResolver("QUOTED_34_34");
            				tokenResolver.setOptions(getOptions());
            				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTokenResolveResult result = getFreshTokenResolveResult();
            				tokenResolver.resolve(a1.getText(), element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__TARGET), result);
            				Object resolvedObject = result.getResolvedToken();
            				if (resolvedObject == null) {
            					addErrorToResource(result.getErrorMessage(), ((org.antlr.runtime3_4_0.CommonToken) a1).getLine(), ((org.antlr.runtime3_4_0.CommonToken) a1).getCharPositionInLine(), ((org.antlr.runtime3_4_0.CommonToken) a1).getStartIndex(), ((org.antlr.runtime3_4_0.CommonToken) a1).getStopIndex());
            				}
            				String resolved = (String) resolvedObject;
            				org.emftext.language.templateconcepts.Template proxy = org.emftext.language.templateconcepts.TemplateconceptsFactory.eINSTANCE.createTemplate();
            				collectHiddenTokens(element);
            				registerContextDependentProxy(new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContextDependentURIFragmentFactory<org.emftext.language.templateconcepts.call.TemplateCall, org.emftext.language.templateconcepts.Template>(getReferenceResolverSwitch() == null ? null : getReferenceResolverSwitch().getTemplateCallTargetReferenceResolver()), element, (org.eclipse.emf.ecore.EReference) element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__TARGET), resolved, proxy);
            				if (proxy != null) {
            					Object value = proxy;
            					element.eSet(element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__TARGET), value);
            					completedElement(value, false);
            				}
            				collectHiddenTokens(element);
            				retrieveLayoutInformation(element, org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallGrammarInformationProvider.TEMPLATECALL_0_0_0_1, proxy, true);
            				copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken) a1, element);
            				copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken) a1, proxy);
            			}
            		}

            }


            if ( state.backtracking==0 ) {
            		// expected elements (follow set)
            		addExpectedElement(null, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectationConstants.EXPECTATIONS[2]);
            	}

            a2=(Token)match(input,8,FOLLOW_8_in_parse_org_emftext_language_templateconcepts_call_TemplateCall154); if (state.failed) return element;

            if ( state.backtracking==0 ) {
            		if (element == null) {
            			element = org.emftext.language.templateconcepts.call.CallFactory.eINSTANCE.createTemplateCall();
            			startIncompleteElement(element);
            		}
            		collectHiddenTokens(element);
            		retrieveLayoutInformation(element, org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallGrammarInformationProvider.TEMPLATECALL_0_0_0_2, null, true);
            		copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken)a2, element);
            	}

            if ( state.backtracking==0 ) {
            		// expected elements (follow set)
            		addExpectedElement(null, org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallExpectationConstants.EXPECTATIONS[3]);
            	}

            // Templatecall.g:587:2: (a3= QUOTED_34_34 )
            // Templatecall.g:588:3: a3= QUOTED_34_34
            {
            a3=(Token)match(input,QUOTED_34_34,FOLLOW_QUOTED_34_34_in_parse_org_emftext_language_templateconcepts_call_TemplateCall172); if (state.failed) return element;

            if ( state.backtracking==0 ) {
            			if (terminateParsing) {
            				throw new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallTerminateParsingException();
            			}
            			if (element == null) {
            				element = org.emftext.language.templateconcepts.call.CallFactory.eINSTANCE.createTemplateCall();
            				startIncompleteElement(element);
            			}
            			if (a3 != null) {
            				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTokenResolver tokenResolver = tokenResolverFactory.createTokenResolver("QUOTED_34_34");
            				tokenResolver.setOptions(getOptions());
            				org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTokenResolveResult result = getFreshTokenResolveResult();
            				tokenResolver.resolve(a3.getText(), element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__PARAMETER_MODEL), result);
            				Object resolvedObject = result.getResolvedToken();
            				if (resolvedObject == null) {
            					addErrorToResource(result.getErrorMessage(), ((org.antlr.runtime3_4_0.CommonToken) a3).getLine(), ((org.antlr.runtime3_4_0.CommonToken) a3).getCharPositionInLine(), ((org.antlr.runtime3_4_0.CommonToken) a3).getStartIndex(), ((org.antlr.runtime3_4_0.CommonToken) a3).getStopIndex());
            				}
            				String resolved = (String) resolvedObject;
            				org.eclipse.emf.ecore.EObject proxy = org.eclipse.emf.ecore.EcoreFactory.eINSTANCE.createEObject();
            				collectHiddenTokens(element);
            				registerContextDependentProxy(new org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallContextDependentURIFragmentFactory<org.emftext.language.templateconcepts.call.TemplateCall, org.eclipse.emf.ecore.EObject>(getReferenceResolverSwitch() == null ? null : getReferenceResolverSwitch().getTemplateCallParameterModelReferenceResolver()), element, (org.eclipse.emf.ecore.EReference) element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__PARAMETER_MODEL), resolved, proxy);
            				if (proxy != null) {
            					Object value = proxy;
            					element.eSet(element.eClass().getEStructuralFeature(org.emftext.language.templateconcepts.call.CallPackage.TEMPLATE_CALL__PARAMETER_MODEL), value);
            					completedElement(value, false);
            				}
            				collectHiddenTokens(element);
            				retrieveLayoutInformation(element, org.emftext.language.templateconcepts.call.resource.templatecall.grammar.TemplatecallGrammarInformationProvider.TEMPLATECALL_0_0_0_3, proxy, true);
            				copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken) a3, element);
            				copyLocalizationInfos((org.antlr.runtime3_4_0.CommonToken) a3, proxy);
            			}
            		}

            }


            if ( state.backtracking==0 ) {
            		// expected elements (follow set)
            	}

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }

        finally {
        	// do for sure before leaving
            if ( state.backtracking>0 ) { memoize(input, 2, parse_org_emftext_language_templateconcepts_call_TemplateCall_StartIndex); }

        }
        return element;
    }
    // $ANTLR end "parse_org_emftext_language_templateconcepts_call_TemplateCall"

    // Delegated rules


 

    public static final BitSet FOLLOW_parse_org_emftext_language_templateconcepts_call_TemplateCall_in_start82 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_EOF_in_start89 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_7_in_parse_org_emftext_language_templateconcepts_call_TemplateCall115 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_QUOTED_34_34_in_parse_org_emftext_language_templateconcepts_call_TemplateCall133 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_8_in_parse_org_emftext_language_templateconcepts_call_TemplateCall154 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_QUOTED_34_34_in_parse_org_emftext_language_templateconcepts_call_TemplateCall172 = new BitSet(new long[]{0x0000000000000002L});

}