/*******************************************************************************
 * Copyright (c) 2006-2012
 * Software Technology Group, Dresden University of Technology
 * DevBoost GmbH, Berlin, Amtsgericht Charlottenburg, HRB 140026
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Software Technology Group - TU Dresden, Germany;
 *   DevBoost GmbH - Berlin, Germany
 *      - initial API and implementation
 ******************************************************************************/

package org.emftext.language.templateconcepts.call.resource.templatecall.ui;

public class TemplatecallUIMetaInformation extends org.emftext.language.templateconcepts.call.resource.templatecall.mopp.TemplatecallMetaInformation {
	
	public org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallHoverTextProvider getHoverTextProvider() {
		return new org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallHoverTextProvider();
	}
	
	public org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallImageProvider getImageProvider() {
		return org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallImageProvider.INSTANCE;
	}
	
	public org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallColorManager createColorManager() {
		return new org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallColorManager();
	}
	
	/**
	 * @deprecated this method is only provided to preserve API compatibility. Use
	 * createTokenScanner(org.emftext.language.templateconcepts.call.resource.templatec
	 * all.ITemplatecallTextResource,
	 * org.emftext.language.templateconcepts.call.resource.templatecall.ui.Templatecall
	 * ColorManager) instead.
	 */
	public org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallTokenScanner createTokenScanner(org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallColorManager colorManager) {
		return createTokenScanner(null, colorManager);
	}
	
	public org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallTokenScanner createTokenScanner(org.emftext.language.templateconcepts.call.resource.templatecall.ITemplatecallTextResource resource, org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallColorManager colorManager) {
		return new org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallTokenScanner(resource, colorManager);
	}
	
	public org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallCodeCompletionHelper createCodeCompletionHelper() {
		return new org.emftext.language.templateconcepts.call.resource.templatecall.ui.TemplatecallCodeCompletionHelper();
	}
	
}
